Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text
Class PasswordView

    java.lang.Object
      |
      +--javax.swing.text.View
            |
            +--javax.swing.text.PlainView
                  |
                  +--javax.swing.text.FieldView
                        |
                        +--javax.swing.text.PasswordView

public class PasswordView
extends FieldView

Implements a View suitable for use in JPasswordField UI implementations. This is basically a field ui that renders its contents as the echo character specified in the associated component (if it can narrow the component to a JPasswordField).

See Also:
  `View`

Fields inherited from class javax.swing.text.PlainView
`metrics`

Fields inherited from class javax.swing.text.View
`BadBreakWeight, ExcellentBreakWeight, ForcedBreakWeight, GoodBreakWeight, X_AXIS, Y_AXIS`

Constructor Summary
`PasswordView(Element elem)` Constructs a new view wrapped on an element.

Method Summary
`protected int` | `drawEchoCharacter(java.awt.Graphics g, int x, int y, char c)` Renders the echo character, or whatever graphic should be used to display the password characters.
`protected int` | `drawSelectedText(java.awt.Graphics g, int x, int y, int p0, int p1)` Renders the given range in the model as selected text.
`protected int` | `drawUnselectedText(java.awt.Graphics g, int x, int y, int p0, int p1)` Renders the given range in the model as normal unselected text.
`java.awt.Shape` | `modelToView(int pos, java.awt.Shape a, Position.Bias b)` Provides a mapping from the document model coordinate space to the coordinate space of the view mapped to it.
`int` | `viewToModel(float fx, float fy, java.awt.Shape a, Position.Bias[] bias)` Provides a mapping from the view coordinate space to the logical coordinate space of the model.

Methods inherited from class javax.swing.text.FieldView
`adjustAllocation, getFontMetrics, getPreferredSpan, getResizeWeight, insertUpdate, paint, removeUpdate`

Methods inherited from class javax.swing.text.PlainView
`changedUpdate, drawLine, getLineBuffer, getTabSize, nextTabStop, preferenceChanged`

Methods inherited from class javax.swing.text.View
`breakView, createFragment, getAlignment, getAttributes, getBreakWeight, getChildAllocation, getContainer, getDocument, getElement, getEndOffset, getMaximumSpan, getMinimumSpan, getNextVisualPositionFrom, getParent, getStartOffset, getView, getViewCount, getViewFactory, isVisible, modelToView, modelToView, setParent, setSize, viewToModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PasswordView

    public PasswordView(Element elem)

  Constructs a new view wrapped on an element.
  Parameters:
    `elem` - the element

Method Detail

### drawUnselectedText

    protected int drawUnselectedText(java.awt.Graphics g,
                                     int x,
                                     int y,
                                     int p0,
                                     int p1)
                              throws BadLocationException

  Renders the given range in the model as normal unselected text. This sets the foreground color and echos the characters using the value returned by getEchoChar().
  Parameters:
    `g` - the graphics context
    `x` - the starting X coordinate >= 0
    `y` - the starting Y coordinate >= 0
    `p0` - the starting offset in the model >= 0
    `p1` - the ending offset in the model >= p0
  Throws:
    BadLocationException - if p0 or p1 are out of range
  Overrides:
    drawUnselectedText in class PlainView

### drawSelectedText

    protected int drawSelectedText(java.awt.Graphics g,
                                   int x,
                                   int y,
                                   int p0,
                                   int p1)
                            throws BadLocationException

  Renders the given range in the model as selected text. This is implemented to render the text in the color specified in the hosting component. It assumes the highlighter will render the selected background. Uses the result of getEchoChar() to display the characters.
  Parameters:
    `g` - the graphics context
    `x` - the starting X coordinate >= 0
    `y` - the starting Y coordinate >= 0
    `p0` - the starting offset in the model >= 0
    `p1` - the ending offset in the model >= p0
  Throws:
    BadLocationException - if p0 or p1 are out of range
  Overrides:
    drawSelectedText in class PlainView

### drawEchoCharacter

    protected int drawEchoCharacter(java.awt.Graphics g,
                                    int x,
                                    int y,
                                    char c)

  Renders the echo character, or whatever graphic should be used to display the password characters. The color in the Graphics object is set to the appropriate foreground color for selected or unselected text.
  Parameters:
    `g` - the graphics context
    `x` - the starting X coordinate >= 0
    `y` - the starting Y coordinate >= 0
    `c` - the echo character
  Returns:
    the updated X position >= 0

### modelToView

    public java.awt.Shape modelToView(int pos,
                                      java.awt.Shape a,
                                      Position.Bias b)
                               throws BadLocationException

  Provides a mapping from the document model coordinate space to the coordinate space of the view mapped to it.
  Parameters:
    `pos` - the position to convert >= 0
    `a` - the allocated region to render into
  Returns:
    the bounding box of the given position
  Throws:
    BadLocationException - if the given position does not represent a valid location in the associated document
  Overrides:
    modelToView in class FieldView
  See Also:
    `View.modelToView(int, java.awt.Shape, javax.swing.text.Position.Bias)`

### viewToModel

    public int viewToModel(float fx,
                           float fy,
                           java.awt.Shape a,
                           Position.Bias[] bias)

  Provides a mapping from the view coordinate space to the logical coordinate space of the model.
  Parameters:
    `fx` - the X coordinate >= 0.0f
    `fy` - the Y coordinate >= 0.0f
    `a` - the allocated region to render into
  Returns:
    the location within the model that best represents the given point in the view
  Overrides:
    viewToModel in class FieldView
  See Also:
    `View.viewToModel(float, float, java.awt.Shape, javax.swing.text.Position.Bias[])`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.